Đến nội dung


Hình ảnh
- - - - -

Lisp đổi font text nọ sang font text kia !


  • Please log in to reply
6 replies to this topic

#1 xaydung

xaydung

    biết lệnh trim

  • Members
  • PipPipPip
  • 191 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 26 October 2007 - 09:35 PM

Chào các bác cao thủ lisp
Mình đang cần 1 lisp có nội dung như sau:
trên màn hình có 1 số text có các kiểu font khác nhau như vnarial, vntime...
chương trình sẽ hỏi chọn các text trên màn hình và chuyển toàn bộ các font
text đó về loại font arial. (tất nhiên chiều cao của các text đó vẫn được giữ nguyên)
thanks các bác trước?!
  • 0

#2 nguyenlevinh

nguyenlevinh

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 27 October 2007 - 09:19 AM

Chào các bác cao thủ lisp
Mình đang cần 1 lisp có nội dung như sau:
trên màn hình có 1 số text có các kiểu font khác nhau như vnarial, vntime...
chương trình sẽ hỏi chọn các text trên màn hình và chuyển toàn bộ các font
text đó về loại font arial. (tất nhiên chiều cao của các text đó vẫn được giữ nguyên)
thanks các bác trước?!

cần gì phải viết lisp bạn. bạn thữ đánh lệnh Fi ( Filters) là ok ngay
  • 0

#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 27 October 2007 - 09:26 AM

Chào các bác cao thủ lisp
Mình đang cần 1 lisp có nội dung như sau:
trên màn hình có 1 số text có các kiểu font khác nhau như vnarial, vntime...
chương trình sẽ hỏi chọn các text trên màn hình và chuyển toàn bộ các font
text đó về loại font arial. (tất nhiên chiều cao của các text đó vẫn được giữ nguyên)
thanks các bác trước?!


Bạn muốn chuyển font của Style chứa text hay chuyển font của text không thôi (chuyển vào 1 style mới)
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#4 xaydung

xaydung

    biết lệnh trim

  • Members
  • PipPipPip
  • 191 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 27 October 2007 - 12:21 PM

Bạn muốn chuyển font của Style chứa text hay chuyển font của text không thôi (chuyển vào 1 style mới)

Chuyển font của style thì mình biết rồi, mình muốn chuyển font của text thôi!
Các bạn biết thì giúp mình nha?!
  • 0

#5 vndesperados

vndesperados

    biết lệnh xref

  • Members
  • PipPipPipPipPipPipPip
  • 547 Bài viết
Điểm đánh giá: 253 (khá)

Đã gửi 27 October 2007 - 02:21 PM

Chuyển font của style thì mình biết rồi, mình muốn chuyển font của text thôi!
Các bạn biết thì giúp mình nha?!



Mỗi đối tượng TEXT trong bản vẽ CAD gắn liền với một STYLE và mỗi STYLE có một FONT chữ.
Do vậy chỉ có thể đổi FONT chữ trong STYLE, không thể chỉ chuyển FONT của TEXT
  • 0

#6 xaydung

xaydung

    biết lệnh trim

  • Members
  • PipPipPip
  • 191 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 27 October 2007 - 04:46 PM

Mỗi đối tượng TEXT trong bản vẽ CAD gắn liền với một STYLE và mỗi STYLE có một FONT chữ.
Do vậy chỉ có thể đổi FONT chữ trong STYLE, không thể chỉ chuyển FONT của TEXT

Mình hiểu rồi, Vậy thì nhờ các bạn viết giúp mình 1 lisp như sau:
khi chạy lisp sẽ tự động tạo ra 1 text style có tên là arial, sau đó lisp hỏi chọn các text
kết quả là các text đó sẽ tự động chuyển sang style tên là arial là OK chứ gì??
Các bác giúp mình nha!!!
  • 0

#7 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 29 October 2007 - 07:49 AM

Mình hiểu rồi, Vậy thì nhờ các bạn viết giúp mình 1 lisp như sau:
khi chạy lisp sẽ tự động tạo ra 1 text style có tên là arial, sau đó lisp hỏi chọn các text
kết quả là các text đó sẽ tự động chuyển sang style tên là arial là OK chứ gì??
Các bác giúp mình nha!!!

Code:

;;;------------------------------------------------------------------------------------------
(defun C:CTA( / ss e d);;;Change Text to Arial style
(if (not (tblsearch "style" "arial"))
(command "style" "arial" "arial" 0 1 0 "n" "n")
)
(prompt "\nChange text objects to Arial style")
(setq ss (ssget '((0 . "TEXT,MTEXT"))))
(while (setq e (ssname ss 0))
(setq d (entget e))
(entmod (subst (cons 7 "arial") (assoc 7 d) d))
(ssdel e ss)
)
(princ)
)
;;;------------------------------------------------------------------------------------------

  • 2